import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotGrainInfoWarn/` + url, ...arg)

/**
 * 客户预警处理Api接口管理器
 *
 * @author xiang
 * @date  2023/09/14 16:20
 **/
export default {
	// 获取客户预警处理分页
	depotGrainInfoWarnPage(data) {
		return request('page', data, 'get')
	},
	// 获取客户预警处理列表
	depotGrainInfoWarnList(data) {
		return request('list', data, 'get')
	},
	// 提交客户预警处理表单 edit为true时为编辑，默认为新增
	depotGrainInfoWarnSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除客户预警处理
	depotGrainInfoWarnDelete(data) {
		return request('delete', data)
	},
	// 获取客户预警处理详情
	depotGrainInfoWarnDetail(data) {
		return request('detail', data, 'get')
	}
}
